## org.apache.mahout.cf.taste.impl.recommender
Class NullRescorer<T>

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.NullRescorer<T>

All Implemented Interfaces:
  IDRescorer, Rescorer<T>

    public final class NullRescorer<T>

extends Object
implements Rescorer<T>, IDRescorer

A simple `Rescorer` which always returns the original score.

Method Summary
`static IDRescorer` `getItemInstance()`
`static Rescorer<LongPair>` `getItemItemPairInstance()`
`static IDRescorer` `getUserInstance()`
`static Rescorer<LongPair>` `getUserUserPairInstance()`
`boolean` `isFiltered(long id)` Returns `true` to exclude the given thing.
`boolean` `isFiltered(T thing)` Returns `true` to exclude the given thing.
`double` `rescore(long id, double originalScore)`
`double` `rescore(T thing, double originalScore)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getItemInstance

    public static IDRescorer getItemInstance()

### getUserInstance

    public static IDRescorer getUserInstance()

### getItemItemPairInstance

    public static Rescorer<LongPair> getItemItemPairInstance()

### getUserUserPairInstance

    public static Rescorer<LongPair> getUserUserPairInstance()

### rescore

    public double rescore(T thing,
                          double originalScore)

  Specified by:
    `rescore` in interface `Rescorer<T>`
  Parameters:
    `thing` - to rescore
    `originalScore` - current score for item
  Returns:
    same originalScore as new score, always

### isFiltered

    public boolean isFiltered(T thing)

  Description copied from interface: `Rescorer`
  Returns `true` to exclude the given thing.

  Specified by:
    `isFiltered` in interface `Rescorer<T>`
  Parameters:
    `thing` - the thing to filter
  Returns:
    `true` to exclude, `false` otherwise

### rescore

    public double rescore(long id,
                          double originalScore)

  Specified by:
    `rescore` in interface `IDRescorer`
  Parameters:
    `id` - ID of thing (user, item, etc.) to rescore
    `originalScore` - original score
  Returns:
    modified score, or `Double.NaN` to indicate that this should be excluded entirely

### isFiltered

    public boolean isFiltered(long id)

  Description copied from interface: `IDRescorer`
  Returns `true` to exclude the given thing.

  Specified by:
    `isFiltered` in interface `IDRescorer`
  Parameters:
    `id` - ID of thing (user, item, etc.) to rescore
  Returns:
    `true` to exclude, `false` otherwise

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.